Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

Why I downgraded to 11.2u7 from 11.3

Dariusz1989

Member
Joined
Aug 22, 2017
Messages
158
Hey

This was a fairly painful week for me because of this update. I gotta say... very I'm very sad that I had to do this.

List of issues:

1. Removal of netData & no equal/50% as good replacement
2. Unable to create new snapshots > https://www.ixsystems.com/community/threads/unable-to-create-new-snapshot-in-11-3.82327/
3. Unable to VM on freenas trueCommand - netData "replacement" > https://www.ixsystems.com/community/threads/how-to-install-on-freenas.82310/#post-569659
4. Unable to replicate > https://www.ixsystems.com/community/threads/unable-to-replicate-in-latest-freenas.82303/ & other users > https://www.ixsystems.com/community/threads/11-3-replication-new-method-not-working.82175/
5. FreeNas native metrics no longer scroll to latest second > https://www.ixsystems.com/community/threads/freenas-11-3-metrics-no-longer-latest.82329/
6. Unable to delete multiple snapshots ( to "maybe fix" replication tasks ) > https://www.ixsystems.com/community...ultiple-snapshots-to-delete-using-11-3.82326/
7. The front dashboard is terrible, the old dashboard was great, top left Hardware specs, top right network, below Pool status + hdd temp on hdd click, below that Mem/cpu usage/ temp + load average - for quick "status" check that was great. The new dashboard is just bad. Too many clicks to get in to anywhere and no useful data. - frankly, I did not dig into it, it just felt less helpful out of the batch thus I ignored it.
8. The "some how working replication task" even tho it copied 5tb the folder was empty on windows and no data was visible. Possibly > https://www.ixsystems.com/community...eems-to-work-but-files-are-not-visible.50306/

This is my 1st rollback using freeNAS OS. Very sad day :- (

Hope next releases will be more "stable".

A cherry on top, looks like downgrade deleted my jails! Thanks !

Code:
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
    return await self._call(name, serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 546, in list_resource
    resource_list = iocage.list("all", plugin=True)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1169, in list
    quick=quick
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_list.py", line 64, in list_datasets
    iocage_lib.ioc_json.IOCJson().json_check_default_config()
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_json.py", line 1924, in json_check_default_config
    self.json_write(default_props, default_json_location)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_json.py", line 431, in json_write
    if template else None
  File "libzfs.pyx", line 645, in libzfs.ZFS.get_dataset_by_path
libzfs.ZFSException: Dataset with path  not found
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1107, in call_method
    return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1052, in _call
    return await self._call_worker(name, *args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1072, in _call_worker
    return await self.run_in_proc(main_worker, name, args, job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 995, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 971, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
libzfs.ZFSException: ('Dataset with path  not found',)



Edit
I found another issue
9. Snapshot no longer shows used/referenced tabs. Why would that be removed from front view given the table style to detail view? Extra clicks for no real help! Please bring it back!
 
Last edited:

Patrick M. Hausen

Dedicated Sage
Joined
Nov 25, 2013
Messages
2,908
You need to adjust the config.json for the older version of iocage. There should have been a warning in the release notes. If you have a snapshot of your jails from before update, you can mount it and compare.
 

Dariusz1989

Member
Joined
Aug 22, 2017
Messages
158
You need to adjust the config.json for the older version of iocage. There should have been a warning in the release notes. If you have a snapshot of your jails from before update, you can mount it and compare.
I wish I knew that. I have very old snapshots from october 2019. Looks like I lost my plugins ! :- ((((
I also tried making new jail/plugin but I keep getting an error! :- (

Code:
 Error: Displaying local fetched releases failed.
('Dataset with path not found',)


Code:
Install
('Dataset with path not found',)
 

Patrick M. Hausen

Dedicated Sage
Joined
Nov 25, 2013
Messages
2,908
iocage activate <dataset-name>
 
Top